com.sleepycat.db

## Class MetaCheckSumFailException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.db.MetaCheckSumFailException

All Implemented Interfaces:
  java.io.Serializable

    public class MetaCheckSumFailException
    extends DatabaseException

A MetaCheckSumFailException is thrown when a checksum mismatch is detected on a database metadata page. Either the database is corrupted or the file is not a Berkeley DB database file.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class com.sleepycat.db.DatabaseException

`getEnvironment, getErrno`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `DatabaseException`